summaryrefslogtreecommitdiffstats
path: root/screen-locker.sh
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2012-06-14 15:20:25 +0200
committerFlorian Pritz <bluewind@xinu.at>2012-06-14 15:20:25 +0200
commit5afaf12a999b1c0c153c8e3620321a23b5506674 (patch)
tree8fdff20ebc0da6aba1e1124464908962c7624d6d /screen-locker.sh
parent8d4c36cccdedc9889b071bf5ec46980afb4a6dfd (diff)
downloadbin-5afaf12a999b1c0c153c8e3620321a23b5506674.tar.gz
bin-5afaf12a999b1c0c153c8e3620321a23b5506674.tar.xz
add some new files; misc changes
Signed-off-by: Florian Pritz <bluewind@xinu.at>
Diffstat (limited to 'screen-locker.sh')
-rwxr-xr-xscreen-locker.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/screen-locker.sh b/screen-locker.sh
index d0eb820..efb3dbb 100755
--- a/screen-locker.sh
+++ b/screen-locker.sh
@@ -10,18 +10,20 @@
#----------------------------------------------------
lock () {
- gajim-remote change_status away &
- echo "command /away afk" | ssh mistral 'socat stdin unix-connect:.irssi/socket'
- xset dpms 5 5 5
- slock
+# gajim-remote change_status away &
+# echo "command /away afk" | ssh mistral 'socat stdin unix-connect:.irssi/socket'
+ xset dpms 2 2 2
+# i3lock -n -t -i ~flo/backgrounds/lockscreen.png
+ slock
}
unlock () {
xset dpms 0 0 0
- gajim-remote change_status online &
- echo "command /away" | ssh mistral 'socat stdin unix-connect:.irssi/socket'
+# gajim-remote change_status online &
+# echo "command /away" | ssh mistral 'socat stdin unix-connect:.irssi/socket'
}
+#if pidof i3lock &> /dev/null; then exit 1; fi
if pidof slock &> /dev/null; then exit 1; fi
(lock && unlock) &